import { nextTick, onMounted, onActivated } from 'vue';
export default function onMountedOrActivated(hook) {
    let mounted;
    onMounted(() => {
        hook(false);
        nextTick(() => {
            mounted = true;
        });
    });
    onActivated(() => {
        if (mounted) {
            hook(true);
        }
    });
}
